OpenWrt/LEDE Project

  • Status Closed
  • Percent Complete
    100%
  • Task Type Bug Report
  • Category Toolchain
  • Assigned To No-one
  • Operating System All
  • Severity Medium
  • Priority Very Low
  • Reported Version lede-17.01
  • Due in Version Undecided
  • Due Date Undecided
  • Private
Attached to Project: OpenWrt/LEDE Project
Opened by Christian Beier - 10.02.2017
Last edited by Yousong Zhou - 26.02.2017

FS#495 - lede-sdk-17.01.0-rc2 does not contain libtldl.so in staging_dir/<target>/usr/lib

I downloaded https://downloads.lede-project.org/releases/17.01.0-rc2/targets/ar71xx/generic/lede-sdk-17.01.0-rc2-ar71xx-generic_gcc-5.4.0_musl-1.1.16.Linux-x86_64.tar.xz, unpacked, updated and installed all feeds.

Then tried to build pulseaudio via
$ make package/pulseudio/compile

which failed complaining tldl.h could not be found. I discovered that said sdk does not contain libtool for the target.

Checked with CC SDK and pulseaudio builds fine there, the CC SDK does include libtool for the target, well at least https://downloads.openwrt.org/chaos_calmer/15.05/ar71xx/generic/OpenWrt-SDK-15.05-ar71xx-generic_gcc-4.8-linaro_uClibc-0.9.33.2.Linux-x86_64.tar.bz2 which I used does.

Closed by  Yousong Zhou
26.02.2017 02:50
Reason for closing:  Fixed
Baptiste Jonglez commented on 12.02.2017 11:48

There seems to be an issue with the feed configuration in the SDK, see  FS#501 

Do you see the mentioned git error related to the “base” feed?

Christian Beier commented on 12.02.2017 19:30

Yes I do.

Also, using src-git base https://git.lede-project.org/source.git^v17.01.0-rc2 in the feed config fixes the issue.

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing